# Run this file if you have previously used SBS-0.1 and don't have topic support.
# You'll probaly need to manually add topic IDs to existing blog entries, I haven't
# bothered to add 'Edit Blog' functionality.
#

CREATE TABLE `topic` (
  `id` tinyint(4) NOT NULL auto_increment,
  `topic` varchar(16) NOT NULL default '',
  `author` tinyint(4) NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`topic`)
) TYPE=MyISAM;

ALTER TABLE `blog` ADD `topic` tinyint(4) NOT NULL default '0' AFTER `date`;
ALTER TABLE `blog` ADD KEY `topic` (`topic`);
